#ifndef BILLYSHEET_GUI_DATA_HPP
#define BILLYSHEET_GUI_DATA_HPP

#include <string_view>
#include <spdlog/spdlog.h>

namespace character {
	class CharacterSheet;
}

using namespace std::string_view_literals;

namespace gui {
	class Window;

	class GuiData final {
	private:
		friend class Gui;

		Window &window;

		character::CharacterSheet &billy;

	public:
		static constexpr std::array classes{
				"Guerrier"sv,
				"Prudent"sv,
				"Paysan"sv,
				"Débrouillard"sv
		};

		GuiData() = delete;

		explicit GuiData(Window &wwindow, character::CharacterSheet &billy) : window(wwindow), billy(billy) { SPDLOG_DEBUG("Creating GUI Data"); }

		~GuiData() noexcept = default;

		[[nodiscard]] Window &get_window() const;
	};
}


#endif //BILLYSHEET_GUI_DATA_HPP
